<div class="wrap">

	<span id="icon-options-general" class="icon32"></span>
	<h2>Vidlinkr</h2>

	<p><span class="sprite sprite-logo"></span></p>

	<?php if (null !== Vidlinkr::getSuccessMessage()): ?>
		<!-- Success Message -->
		<div class="message updated fade">
			<p><?php echo Vidlinkr::getSuccessMessage(); ?></p>
		</div>
	<?php endif; ?>

	<?php if (null !== Vidlinkr::getErrorMessage()): ?>
		<!-- Error Message -->
		<div class="message error fade">
			<p>An error occurred: <?php echo Vidlinkr::getErrorMessage(); ?></p>
		</div>
	<?php endif; ?>

	<div class="tw-bs">
		<?php if (null != Vidlinkr::getConfig(Vidlinkr::CONFIG_KEY_PRIVATE_API_KEY)): // begin if there is an private API key set ?>
			<p>You are now connected to Vidlinkr as <strong><?php echo Vidlinkr::getConfig(Vidlinkr::CONFIG_KEY_USER_LOGIN_ID); ?></strong></p>
		<?php else: ?>
			<p>Sign into your Vidlinkr account to connect it to your blog. Signing in will automatically start the process of adding Vidlinks to your videos.</p>
			<div class="well well-large">
				Don't have a Vidlinkr account yet? <a href="http://coull.com/vidlinkr/">Find out more</a> or <a href="https://vidlinkr.coull.com/signup?referer=wpplugin">create an account now</a> (it's 100% free!)
			</div>
		<?php endif; ?>

		<?php if (null == Vidlinkr::getConfig(Vidlinkr::CONFIG_KEY_PRIVATE_API_KEY)): // begin if there is no private API key set ?>
		<form method="post" class="form-horizontal">
			<div class="control-group">
				<label class="control-label" for="<?php echo Vidlinkr::FORM_KEY_EMAIL; ?>">Email</label>
				<div class="controls">
					<input type="text" id="<?php echo Vidlinkr::FORM_KEY_EMAIL; ?>" placeholder="Email" name="<?php echo Vidlinkr::FORM_KEY_EMAIL; ?>" value="<?php echo $_POST[Vidlinkr::FORM_KEY_EMAIL]; ?>">
				</div>
			</div>
			<div class="control-group">
				<label class="control-label" for="<?php echo Vidlinkr::FORM_KEY_PASSWORD; ?>">Password</label>
				<div class="controls">
					<input type="password" id="<?php echo Vidlinkr::FORM_KEY_PASSWORD; ?>" placeholder="Password" name="<?php echo Vidlinkr::FORM_KEY_PASSWORD; ?>">
				</div>
			</div>
			<div class="control-group">
				<div class="controls">
					<button type="submit" class="btn btn-primary"><span class="sprite-white-vidlinkr sprite"></span> CONNECT TO VIDLINKR</button>
					<br/><br/>
					<span class="help-block">Forgot your password? <a href="http://vidlinkr.coull.com/reset">Request a new one</a></span>
				</div>
			</div>
			<?php wp_nonce_field( 'update-options' ); ?>
		</form>
		<?php endif; // end if there is no private API key set ?>

		<?php if (null != Vidlinkr::getConfig(Vidlinkr::CONFIG_KEY_PRIVATE_API_KEY)): // begin if there is a private API key set ?>

		<p id="vidlinkr_settings_link">
			<a href="#" onclick="jQuery('#vidlinkr_settings').fadeToggle('slow');return false;">Show connection settings</a>
		</p>

		<table id="vidlinkr_settings" class="widefat" style="display:none;">
		<thead>
			<tr>
				<th>Setting</th>
				<th>Value</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>Private API Key</td>
				<td><?php echo Vidlinkr::getObscuredApiKey(Vidlinkr::getConfig(Vidlinkr::CONFIG_KEY_PRIVATE_API_KEY)); ?></td>
			</tr>
			<tr>
				<td>Website URL</td>
				<td><?php echo Vidlinkr::getWebsiteUrl(); ?></td>
			</tr>
		<?php if (null != Vidlinkr::getConfig(Vidlinkr::CONFIG_KEY_WEBSITE_ID)): ?>
			<tr>
				<td>Website Id</td>
				<td><?php echo Vidlinkr::getConfig(Vidlinkr::CONFIG_KEY_WEBSITE_ID); ?></td>
			</tr>
		<?php endif; ?>
		<?php if (null != Vidlinkr::getConfig(Vidlinkr::CONFIG_KEY_PUBLISHER_ID)): ?>
			<tr>
				<td>Publisher Id</td>
				<td><?php echo Vidlinkr::getConfig(Vidlinkr::CONFIG_KEY_PUBLISHER_ID); ?></td>
			</tr>
		<?php endif; ?>
		</tbody>
		</table>
		<br/>
		<?php endif; // end if there is a private API key set ?>

		<?php if (null != Vidlinkr::getConfig(Vidlinkr::CONFIG_KEY_WEBSITE_ID)): // begin if there is a website id set ?>
			<a class="btn btn-primary" target="vidlinkr_install" href="https://vidlinkr.coull.com/sites/videos/<?php echo Vidlinkr::getConfig(Vidlinkr::CONFIG_KEY_WEBSITE_ID); ?>?referer=wpplugin"><span class="sprite-white-vidlinkr sprite"></span> MANAGE YOUR VIDEOS WITH THE VIDLINKR DASHBOARD</a>
			<?php if (null != Vidlinkr::getConfig(Vidlinkr::CONFIG_KEY_PRIVATE_API_KEY)): // begin if there is a private API key set ?>
			<br/><br/>
			<form method="post">
				<hr/>
				<input type="hidden" id="<?php echo Vidlinkr::CONFIG_KEY_PRIVATE_API_KEY; ?>" name="<?php echo Vidlinkr::CONFIG_KEY_PRIVATE_API_KEY; ?>" value="" />
				<button class="btn btn-default" type="submit">Disconnect from your Vidlinkr account</button>
				<br/><br/>
				<p>This will stop Vidlinks from appearing on your videos.</p>
				<?php wp_nonce_field( 'update-options' ); ?>
			</form>
			<?php endif; // end if there is a private API key set ?>
		<?php endif; // end if there is a website id set ?>
	</div>
</div>
